org.apache.cassandra.db

## Interface ExpiringCell

All Superinterfaces:
  Cell, OnDiskAtom

All Known Implementing Classes:
  BufferExpiringCell, NativeExpiringCell

    public interface ExpiringCell
    extends Cell

Alternative to Cell that have an expiring time. ExpiringCell is immutable (as Cell is). Note that ExpiringCell does not override Cell.getMarkedForDeleteAt, which means that it's in the somewhat unintuitive position of being deleted (after its expiration) without having a time-at-which-it-became-deleted. (Because ttl is a server-side measurement, we can't mix it with the timestamp field, which is client-supplied and whose resolution we can't assume anything about.)

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer, OnDiskAtom.SerializerForWriting`

### Field Summary

Fields
`static int` `MAX_TTL`

### Fields inherited from interface org.apache.cassandra.db.Cell

`MAX_NAME_LENGTH`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getTimeToLive()`
`ExpiringCell` `localCopy(CFMetaData metadata, AbstractAllocator allocator)`
`ExpiringCell` `localCopy(CFMetaData metaData, MemtableAllocator allocator, OpOrder.Group opGroup)`

### Methods inherited from interface org.apache.cassandra.db.Cell

`cellDataSize, diff, getString, isLive, isLive, name, reconcile, serializationFlags, serializedSize, unsharedHeapSizeExcludingData, value, withUpdatedName, withUpdatedTimestamp, withUpdatedTimestampAndLocalDeletionTime`

### Methods inherited from interface org.apache.cassandra.db.OnDiskAtom

`getLocalDeletionTime, timestamp, updateDigest, validateFields`

### Field Detail

#### MAX_TTL

    static final int MAX_TTL

See Also:
  Constant Field Values

### Method Detail

#### getTimeToLive

    int getTimeToLive()

#### localCopy

    ExpiringCell localCopy(CFMetaData metadata,
                           AbstractAllocator allocator)

Specified by:
  `localCopy` in interface `Cell`

#### localCopy

    ExpiringCell localCopy(CFMetaData metaData,
                           MemtableAllocator allocator,
                           OpOrder.Group opGroup)

Specified by:
  `localCopy` in interface `Cell`